Loading...
Searching...
No Matches
apr_atomic.h File Reference

APR Atomic Operations. More...

`#include "apr.h"`
`#include "apr_pools.h"`
Include dependency graph for apr_atomic.h:

Go to the source code of this file.

## Functions

apr_status_t | apr_atomic_init (apr_pool_t *p)
apr_uint32_t | apr_atomic_read32 (volatile apr_uint32_t *mem)
void | apr_atomic_set32 (volatile apr_uint32_t *mem, apr_uint32_t val)
apr_uint32_t | apr_atomic_add32 (volatile apr_uint32_t *mem, apr_uint32_t val)
void | apr_atomic_sub32 (volatile apr_uint32_t *mem, apr_uint32_t val)
apr_uint32_t | apr_atomic_inc32 (volatile apr_uint32_t *mem)
int | apr_atomic_dec32 (volatile apr_uint32_t *mem)
apr_uint32_t | apr_atomic_cas32 (volatile apr_uint32_t *mem, apr_uint32_t with, apr_uint32_t cmp)
apr_uint32_t | apr_atomic_xchg32 (volatile apr_uint32_t *mem, apr_uint32_t val)
apr_uint64_t | apr_atomic_read64 (volatile apr_uint64_t *mem)
void | apr_atomic_set64 (volatile apr_uint64_t *mem, apr_uint64_t val)
apr_uint64_t | apr_atomic_add64 (volatile apr_uint64_t *mem, apr_uint64_t val)
void | apr_atomic_sub64 (volatile apr_uint64_t *mem, apr_uint64_t val)
apr_uint64_t | apr_atomic_inc64 (volatile apr_uint64_t *mem)
int | apr_atomic_dec64 (volatile apr_uint64_t *mem)
apr_uint64_t | apr_atomic_cas64 (volatile apr_uint64_t *mem, apr_uint64_t with, apr_uint64_t cmp)
apr_uint64_t | apr_atomic_xchg64 (volatile apr_uint64_t *mem, apr_uint64_t val)
void * | apr_atomic_casptr (volatile void **mem, void *with, const void *cmp)
void * | apr_atomic_xchgptr (volatile void **mem, void *with)

## Detailed Description

APR Atomic Operations.